Complete Presigned Upload
POST
/ingest/upload/presigned/{job_id}/complete
const url = 'https://example.com/api/ingest/upload/presigned/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/complete';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"parts":[]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/ingest/upload/presigned/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/complete \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "parts": [] }'Notify that direct-to-S3 upload is complete.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” job_id
required
Job Id
string format: uuid
Request Body required
Section titled “Request Body required ” Media type application/json
PresignedCompleteRequest
object
parts
Parts
Ordered list of uploaded parts (etag + part_number) used to complete a multipart upload.
Array<object>
PresignedPartInfoobject
etag
required
Etag
ETag returned by S3 for an uploaded multipart part.
string
part_number
required
Part Number
1-indexed part number of the uploaded part.
integer
Responses
Section titled “ Responses ”Successful Response
Media type application/json
UploadResponse
object
job_id
required
Job Id
Unique identifier for the ingestion job. Use this to poll status and to commit the upload.
string format: uuid
status
Status
Initial job status. Always ‘pending’ on creation.
string
message
required
Message
Human-readable message describing the upload result.
string
Example
{ "status": "pending"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}